<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "state";
$formname = "State Print";
$file = "state_print_fr.php";
//$mgrpcode   = "009"; 

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
$stcode = $_POST["stcode"];
$name = $_POST["name"];

$stcond = "";
$namecond = "";

if (!empty($stcode)) {
$stcond = " AND `stcode`='$stcode' ";
}
if (!empty($name)) {
$namecond = " AND `name`='$name' ";
}
$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` $namecond $stcond ")or die(mysqli_error($conn));

include("includes/linkshead.php");
?>
</head>
<body>
    <div class="container">
        <?php include("includes/head_rep.php"); ?>
        <div class="row">
            <div class="col-lg-12 pad">
                <table class="table table-condensed table-bordered table-hover">
                    <tr  style="background-color: #26A69A">
                        <th width="5%">Sr.</th>
                        <th width="10%">State Code</th>
                        <th width="85%">Name</th>
                    </tr>
                    <?php
                    $ctr = 1;
                    while ($pmain = mysqli_fetch_array($getpmain)) {

                    Echo "<tr>";
                    Echo "<td>$ctr</td>";
                    Echo "<td>$pmain[stcode]</td>";
                    Echo "<td>$pmain[name]</td>";
                    Echo "</tr>";
                    $ctr++;
                    }
                    ?>
                </table>
            </div>
        </div>
    </div>

    <?php include("includes/linksfoot.php"); ?>
</body>
</html>
<?
}
if (isset($_POST["excel"])) {
$stcode = $_POST["stcode"];
$name = $_POST["name"];

$stcond = "";
$namecond = "";

if (!empty($stcode)) {
$stcond = " AND `stcode`='$stcode' ";
}
if (!empty($name)) {
$namecond = " AND `name`='$name' ";
}
$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` $namecond $stcond ")or die(mysqli_error($conn));


$contents .= "Sr.,State Code,Name\n";





$ctr = 1;
while ($pmain = mysqli_fetch_array($getpmain)) {

$contents .= $ctr . ",";
$contents .= $pmain[stcode] . ",";
$contents .= $pmain[name] . "\n";
$ctr++;
}

$contents = strip_tags($contents);

if ($_POST["dtype"] == 1) {
header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
print $contents;
} else {
header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
print $contents;
}
}
?>
